mscorlib 2.0.0.0 4.0.0.0 System.ValueType

For additional information about TYPEDESC, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Describes the type of a variable, return type of a function, or the type of a function parameter.

- Field
  2.0.0.0
  4.0.0.0
  System.IntPtr

  For additional information about TYPEDESC, see the MSDN Library.

  If the variable is VT_SAFEARRAY or VT_PTR, the lpValue field contains a pointer to a TYPEDESC that specifies the element type.

- Field
  2.0.0.0
  4.0.0.0
  System.Int16

  For additional information about TYPEDESC, see the MSDN Library.

  Indicates the variant type for the item described by this TYPEDESC.